## OGMDvdDriveChooserDialog

OGMDvdDriveChooserDialog — A DVD drive chooser dialog

## Functions

GtkWidget * | ogmdvd_drive_chooser_dialog_new ()

## Signals

void | eject | No Hooks

## Types and Values

struct | OGMDvdDriveChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── OGMDvdDriveChooserDialog

## Implemented Interfaces

OGMDvdDriveChooserDialog implements AtkImplementorIface, GtkBuildable and OGMDvdDriveChooser.

## Includes

    #include <ogmdvd-drive-chooser-dialog.h>

## Description

## Functions

### ogmdvd_drive_chooser_dialog_new ()

    GtkWidget *
    ogmdvd_drive_chooser_dialog_new (void);

Creates a new OGMDvdDriveChooserDialog.

#### Returns

The new OGMDvdDriveChooserDialog

## Types and Values

### struct OGMDvdDriveChooserDialog

    struct OGMDvdDriveChooserDialog;

## Signal Details

### The `“eject”` signal

    void
    user_function (OGMDvdDriveChooserDialog *dialog,
                   gpointer                  user_data)

Emitted each time the eject button is clicked.

#### Parameters

dialog | the widget that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks